FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 03-07-2012, 02:15 PM
Camaleón
 
Default Bug in both update manager and in apt-get

On Wed, 07 Mar 2012 11:28:36 -0300, pierpaolo pilla wrote:

> Hi Camaleon
>
> Apologies for my late reply, I would expect for any reply to my original
> post to reach my mailbox, but it doesn't...

You had some replies :-?

> As I replied to Hugo, I have tried:
> "
> root@pier:/home/pier# apt-listbugs list mono-apache-server Reading
> package fields... Done
> Reading package status... Done
> Retrieving bug reports... Done
> Parsing Found/Fixed information... Done "
> It seems to work fine, but when I try to install the package I get the
> same error above...
>
> This seems to me that the problem is not in accessing the bug reports
> otherwise the apt-listbugs command would fail too. Right?

I don't know how "apt-listbugs" is involved here as you were updating
your system, right?

Can you please paste the output of?

apt-get update && apt-get -V upgrade

(say NO to the updater routine)

> I'll hopefully have a chance to try another ISP in a week's time or so,
> moving to my new flat (in Brasilia by the way) is taking longer than
> expected.
>
> Will keep you posted, thanks again.

In the meantime, you can also try by using a different repository.

Greetings,

--
Camaleón


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: jj7u2i$ujn$12@dough.gmane.org">http://lists.debian.org/jj7u2i$ujn$12@dough.gmane.org
 
Old 03-07-2012, 02:27 PM
pierpaolo pilla
 
Default Bug in both update manager and in apt-get

Hi Camaleon

Update

I have realised that there was another error reported once I was
refusing to try checking bug reports again:

E: Failure running script /usr/sbin/apt-listbugs apt || exit 10

I have decided to go manual, after reading this post:

http://forums.debian.net/viewtopic.php?f=5&t=48484

I have checked all updates with apt-listbugs in my updates manager, and
after finding that only one had a grave bug (imagemagick) I have
commented out the relevant lines in
"/etc/apt/apt.conf.d/10apt-listbugs.conf" and installed all but
imagemagick.

This has worked but I am nervous not having the filter for bugs in
future installations.

By the way I get a strange error when opening emacs from console...

Here is a transcript of my terminal:

root@pier:/home/pier# apt-listbugs list file
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list gimp
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list gimp-data
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list imagemagick
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
grave bugs of imagemagick (8:6.6.0.4-3 -> ) <marked as done in some
version>
#659339 - imagemagick: Invalid validation DoS
CVE-2012-0247/CVE-2012-02478 (Fixed: imagemagick/8:6.7.4.0-2
imagemagick/8:6.6.9.7-6)
Summary:
imagemagick(1 bug)
root@pier:/home/pier# apt-listbugs list libgimp2.0
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list libmagic1
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list libmagic++3
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list libmagick++3
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list libmagickcore3
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list libmagickcore3-extra
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list libmagickwand3
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list openjdk-6-jre
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list openjdk-6-jre-headless
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list openjdk-6-jre-lib
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list perlmagick
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# apt-listbugs list libpixman-1-0
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
root@pier:/home/pier# emacs /etc/apt/apt.conf.d/10apt-listbugs.disabled
GConf Error: Failed to contact configuration server; the most common
cause is a missing or misconfigured D-Bus session bus daemon. See
http://projects.gnome.org/gconf/ for information. (Details - 1: Failed
to get connection to session: Did not receive a reply. Possible causes
include: the remote application did not send a reply, the message bus
security policy blocked the reply, the reply timeout expired, or the
network connection was broken.)
root@pier:/home/pier# emacs /etc/apt/apt.conf.d/
GConf Error: Failed to contact configuration server; the most common
cause is a missing or misconfigured D-Bus session bus daemon. See
http://projects.gnome.org/gconf/ for information. (Details - 1: Failed
to get connection to session: Did not receive a reply. Possible causes
include: the remote application did not send a reply, the message bus
security policy blocked the reply, the reply timeout expired, or the
network connection was broken.)
root@pier:/home/pier# apt-get install libgimp2.0 libmagick1 file gimp
gimp-data libmagick++3 libmagickcore3 libmagickcore3-extra
libmagickwand3 openjdk-6-jre openjdk-6-jre-headless openjdk-6-jre-lib
perlmagick libpixman-1-0
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libmagick1
root@pier:/home/pier# apt-get install libgimp2.0 libmagic1 file gimp
gimp-data libmagick++3 libmagickcore3 libmagickcore3-extra
libmagickwand3 openjdk-6-jre openjdk-6-jre-headless openjdk-6-jre-lib
perlmagick libpixman-1-0
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
gimp-help-en gimp-help gimp-data-extras icedtea6-plugin
sun-java6-fonts
ttf-baekmuk ttf-unfonts ttf-unfonts-core ttf-sazanami-gothic
ttf-kochi-gothic ttf-sazanami-mincho ttf-kochi-mincho ttf-wqy-microhei
ttf-wqy-zenhei ttf-indic-fonts imagemagick-doc
The following packages will be upgraded:
file gimp gimp-data libgimp2.0 libmagic1 libmagick++3 libmagickcore3
libmagickcore3-extra libmagickwand3 libpixman-1-0 openjdk-6-jre
openjdk-6-jre-headless openjdk-6-jre-lib perlmagick
14 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 0 B/52.8 MB of archives.
After this operation, 1,004 kB disk space will be freed.
Reading changelogs... Done
(Reading database ... 212118 files and directories currently installed.)
Preparing to replace file 5.04-5 (using .../file_5.04-5
+squeeze1_amd64.deb) ...
Unpacking replacement file ...
Preparing to replace libmagic1 5.04-5 (using .../libmagic1_5.04-5
+squeeze1_amd64.deb) ...
Unpacking replacement libmagic1 ...
Preparing to replace libgimp2.0 2.6.10-1+squeeze1
(using .../libgimp2.0_2.6.10-1+squeeze3_amd64.deb) ...
Unpacking replacement libgimp2.0 ...
Preparing to replace gimp-data 2.6.10-1+squeeze1
(using .../gimp-data_2.6.10-1+squeeze3_all.deb) ...
Unpacking replacement gimp-data ...
Preparing to replace gimp 2.6.10-1+squeeze1 (using .../gimp_2.6.10-1
+squeeze3_amd64.deb) ...
Unpacking replacement gimp ...
Preparing to replace libmagickcore3 8:6.6.0.4-3
(using .../libmagickcore3_8%3a6.6.0.4-3+squeeze1_amd64.deb) ...
Unpacking replacement libmagickcore3 ...
Preparing to replace libmagickwand3 8:6.6.0.4-3
(using .../libmagickwand3_8%3a6.6.0.4-3+squeeze1_amd64.deb) ...
Unpacking replacement libmagickwand3 ...
Preparing to replace libmagick++3 8:6.6.0.4-3 (using .../libmagick++3_8%
3a6.6.0.4-3+squeeze1_amd64.deb) ...
Unpacking replacement libmagick++3 ...
Preparing to replace libmagickcore3-extra 8:6.6.0.4-3
(using .../libmagickcore3-extra_8%3a6.6.0.4-3+squeeze1_amd64.deb) ...
Unpacking replacement libmagickcore3-extra ...
Preparing to replace libpixman-1-0 0.20.2-0ubuntu1
(using .../libpixman-1-0_0.24.0-1~bpo60+1_amd64.deb) ...
Unpacking replacement libpixman-1-0 ...
Preparing to replace perlmagick 8:6.6.0.4-3 (using .../perlmagick_8%
3a6.6.0.4-3+squeeze1_amd64.deb) ...
Unpacking replacement perlmagick ...
Preparing to replace openjdk-6-jre-lib 6b18-1.8.10-0+squeeze2
(using .../openjdk-6-jre-lib_6b18-1.8.13-0+squeeze1_all.deb) ...
Unpacking replacement openjdk-6-jre-lib ...
Preparing to replace openjdk-6-jre-headless 6b18-1.8.10-0+squeeze2
(using .../openjdk-6-jre-headless_6b18-1.8.13-0+squeeze1_amd64.deb) ...
Unpacking replacement openjdk-6-jre-headless ...
Preparing to replace openjdk-6-jre 6b18-1.8.10-0+squeeze2
(using .../openjdk-6-jre_6b18-1.8.13-0+squeeze1_amd64.deb) ...
Unpacking replacement openjdk-6-jre ...
Processing triggers for man-db ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for menu ...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Setting up libmagic1 (5.04-5+squeeze1) ...
Setting up file (5.04-5+squeeze1) ...
Setting up libgimp2.0 (2.6.10-1+squeeze3) ...
Setting up gimp-data (2.6.10-1+squeeze3) ...
Setting up gimp (2.6.10-1+squeeze3) ...
Setting up libmagickcore3 (8:6.6.0.4-3+squeeze1) ...
Setting up libmagickwand3 (8:6.6.0.4-3+squeeze1) ...
Setting up libmagick++3 (8:6.6.0.4-3+squeeze1) ...
Setting up libmagickcore3-extra (8:6.6.0.4-3+squeeze1) ...
Setting up libpixman-1-0 (0.24.0-1~bpo60+1) ...
Setting up perlmagick (8:6.6.0.4-3+squeeze1) ...
Setting up openjdk-6-jre-headless (6b18-1.8.13-0+squeeze1) ...
Setting up openjdk-6-jre-lib (6b18-1.8.13-0+squeeze1) ...
Setting up openjdk-6-jre (6b18-1.8.13-0+squeeze1) ...
Processing triggers for menu ...
root@pier:/home/pier#



--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 1331134079.2411.29.camel@pier">http://lists.debian.org/1331134079.2411.29.camel@pier
 
Old 03-07-2012, 02:33 PM
pierpaolo pilla
 
Default Bug in both update manager and in apt-get

Hi Camaleon

I am reading your latest reply after I sent you another message, where I
seem to have partially solved the problem. You may want to have a look
at it anyway, it has a transcript of my console too.

Thanks again!

Pier


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 1331134433.2411.31.camel@pier">http://lists.debian.org/1331134433.2411.31.camel@pier
 
Old 03-07-2012, 03:21 PM
Camaleón
 
Default Bug in both update manager and in apt-get

On Wed, 07 Mar 2012 12:27:59 -0300, pierpaolo pilla wrote:

> Hi Camaleon
>
> Update
>
> I have realised that there was another error reported once I was
> refusing to try checking bug reports again:
>
> E: Failure running script /usr/sbin/apt-listbugs apt || exit 10

(...)

Can you tell why are you using apt-listbugs to get the updates? I mean,
"apt-get upgrade" should manage that for you, right? :-)

> By the way I get a strange error when opening emacs from console...

(...)

> root@pier:/home/pier# emacs /etc/apt/apt.conf.d/10apt-listbugs.disabled
> GConf Error: Failed to contact configuration server; the most common
> cause is a missing or misconfigured D-Bus session bus daemon. See
> http://projects.gnome.org/gconf/ for information. (Details - 1: Failed
> to get connection to session: Did not receive a reply. Possible causes
> include: the remote application did not send a reply, the message bus
> security policy blocked the reply, the reply timeout expired, or the
> network connection was broken.)

(...)

Don't worry about that, I think it's a know issue when emacs is run from
an X session. Did you "su -" instead just "su"?

Greetings,

--
Camaleón


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: jj81to$ujn$15@dough.gmane.org">http://lists.debian.org/jj81to$ujn$15@dough.gmane.org
 
Old 03-07-2012, 08:23 PM
pierpaolo pilla
 
Default Bug in both update manager and in apt-get

"
Can you tell why are you using apt-listbugs to get the updates? I mean,
"apt-get upgrade" should manage that for you, right? :-)
"

With apt-get upgrade, I would have installed even the update with a
grave bug, that was my logic. Is there a way to exclude packages with
this command?

"
Don't worry about that, I think it's a know issue when emacs is run
from
an X session. Did you "su -" instead just "su"?
"

Tried "su -" and I don't get the emacs warning anymore, thanks!

Pier


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 1331155393.2506.95.camel@pier">http://lists.debian.org/1331155393.2506.95.camel@pier
 
Old 03-08-2012, 01:21 PM
Camaleón
 
Default Bug in both update manager and in apt-get

On Wed, 07 Mar 2012 18:23:13 -0300, pierpaolo pilla wrote:

> "
> Can you tell why are you using apt-listbugs to get the updates? I mean,
> "apt-get upgrade" should manage that for you, right? :-) "
>
> With apt-get upgrade, I would have installed even the update with a
> grave bug, that was my logic. Is there a way to exclude packages with
> this command?

Mmm, I think yes. You can mark packages as "hold" and also use "pinning"
but I never faced such situation so I can't tell the detailed steps.

> "
> Don't worry about that, I think it's a know issue when emacs is run from
> an X session. Did you "su -" instead just "su"? "
>
> Tried "su -" and I don't get the emacs warning anymore, thanks!

Ah, perfect! :-)

Greetings,

--
Camaleón


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: jjaf92$ek5$3@dough.gmane.org">http://lists.debian.org/jjaf92$ek5$3@dough.gmane.org
 

Thread Tools




All times are GMT. The time now is 08:45 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org